<?php
/**
 * Created by PhpStorm.
 * User: michael
 * Date: 12/11/2015
 * Time: 3:40 PM
 */

class WPSG_ThreatLogView {
	private $wpsg = null;

	public function __construct($wpsg) {
		$this->wpsg = $wpsg;
	}

	public function render($items, $total,$per_page) {
		add_thickbox();
		require_once WPSG_INCLUDE_DIR . '/WPSG_ThreatLogTable.php';
		echo '<div class="wrap"><h2>WP Site Guardian: Threat Logs</h2>';
		$table = new WPSG_ThreatLogTable($this->wpsg,$items,$total,$per_page);
		$table->display();
		echo '</div>';
		echo '<script>';
		echo 'function wpsg_select(id){';
		echo 'jQuery(\'input[type=checkbox][name="id[]"]\').attr(\'checked\',false);';
		echo 'jQuery(\'input[type=checkbox][name="id[]"][value=\' + id + \']\').attr(\'checked\',true);';
		echo '}';
		echo 'function wpsg_delete(id){';
		echo 'wpsg_select(id);';
		echo 'jQuery(\'select[name=action]\').val(\'delete\');';
		echo 'jQuery(\'#wpsg_log_actions\').submit();';
		echo '}';
		echo 'function wpsg_except(id){';
		echo 'wpsg_select(id);';
		echo 'jQuery(\'select[name=action]\').val(\'except\');';
		echo 'jQuery(\'#wpsg_log_actions\').submit();';
		echo '}';
		echo '</script>';
		echo '<style>';
		echo '#date { width:15%; }';
		echo '#ip { width:10%; }';
		echo '</style>';
	}
}